package cpcns.dingZhi.zHUANTI.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.common.service.ICommonService;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.danganzhengli.wenshu.anjuan.service.IDAnJuanService;
import cpcns.dingZhi.zHUANTI.model.zHUANTI;
import cpcns.dingZhi.zHUANTI.model.zhuanTiSheBeiMa;
import cpcns.dingZhi.zHUANTI.service.IZHUANTIService;
import cpcns.dingZhi.zHUANTI.service.IzhuanTiSheBeiMaService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.Date;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"zhuanTiSheBeiMaController"})
public class zhuanTiSheBeiMaController extends DangAnBaseController {
  @Autowired
  private IZHUANTIService zHUANTIService;
  
  @Autowired
  private IzhuanTiSheBeiMaService zhuanTiSheBeiMaService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private IDAnJuanService dAnJuanService;
  
  @Autowired
  private ICommonService commonService;
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    model.addAttribute("guanLianBiaoShi", guanLianBiaoShi);
    return "dingZhi/zHUANTI/zhuanTiSheBeiMa_list";
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) {
    Integer guanLianBiaoShi = Integer.valueOf(request.getParameter("guanLianBiaoShi"));
    zHUANTI zhuanTai = (zHUANTI)this.zHUANTIService.getById(zHUANTI.class, guanLianBiaoShi);
    zhuanTiSheBeiMa obj = new zhuanTiSheBeiMa();
    obj.setGuanLianBiaoShi(guanLianBiaoShi);
    obj.setShangJiaZhuangTai(zhuanTai.getShenHeZhuangTai());
    obj.setJieYueZhuangTai(Integer.valueOf(0));
    model.addAttribute("zhuanTiSheBeiMa", obj);
    return "dingZhi/zHUANTI/zhuanTiSheBeiMa_edit";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.zhuanTiSheBeiMaService.query_SQL(this.start, this.number, this.table, map, CommStatic.getOrderBy(request, "rukushijian asc"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "").replaceAll(":00", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("", "").replaceAll("RUKUSHIJIAN", "ruKuShiJian").replaceAll("BIANMA", "bianMa").replaceAll("SHANGJIAZHUANGTAI", "shangJiaZhuangTai").replaceAll("JIEYUEZHUANGTAI", "jieYueZhuangTai").replaceAll("TIMING", "tiMing")
        .replaceAll("CIXU", "ciXu").replaceAll("BEIZHU", "beiZhu");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/saveOrUpdate.do"})
  public void save(HttpServletRequest request, HttpServletResponse response, zhuanTiSheBeiMa obj) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    User user = getCurrentUser();
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    try {
      if (obj != null) {
        String rizhi = "";
        Map<String, String> map1 = new HashMap<>();
        map1.put("table", this.table);
        map1.put("server", this.server);
        map1.put("bianMaString", obj.getBianMa());
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0)
          map1.put("hangBiaoShi_not", String.valueOf(obj.getHangBiaoShi())); 
        if (!this.zhuanTiSheBeiMaService.IsExist(map1)) {
          if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0) {
            rizhi = "修改实体";
            this.zhuanTiSheBeiMaService.update(obj);
          } else {
            rizhi = "添加实体";
            obj.setHangBiaoShi(Integer.valueOf(this.zHUANTIService.getPk(this.table)));
            obj.setRuKuShiJian(new Date());
            this.zhuanTiSheBeiMaService.save(obj);
          } 
          rm.setSuccess(true);
          info = "保存成功！";
          rm.setBeizhu((String)obj.getHangBiaoShi());
          zHUANTI zhuanTai = (zHUANTI)this.zHUANTIService.getById(zHUANTI.class, obj.getGuanLianBiaoShi());
          this.zHUANTIService.addDA_RiZhi(user, this.server, "D_ZhuanTi", obj.getGuanLianBiaoShi(), String.valueOf(zhuanTai.getBiaoTi()) + "$." + zhuanTai.getDangHao() + "$." + zhuanTai.getMenLei(), rizhi);
        } else {
          rm.setSuccess(false);
          info = "编码已存在，无法保存！";
        } 
      } else {
        rm.setSuccess(false);
        info = "数据转换错误！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("hangBiaoShi")));
      String ids = request.getParameter("keyWordResult");
      model.addAttribute("keyWordResult", ids);
      zhuanTiSheBeiMa obj = (zhuanTiSheBeiMa)this.zhuanTiSheBeiMaService.getById(zhuanTiSheBeiMa.class, hangBiaoShi);
      model.addAttribute("zhuanTiSheBeiMa", obj);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "dingZhi/zHUANTI/zhuanTiSheBeiMa_edit";
  }
  
  @RequestMapping({"/delete.do"})
  public void delete(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShis = request.getParameter("hangBiaoShi");
      String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
      if (StringUtils.isNotBlank(hangBiaoShis)) {
        String[] hbs = hangBiaoShis.split(",");
        for (int i = 0; i < hbs.length; i++) {
          String delSql = "delete from " + this.table + " where hangbiaoshi=" + hbs[i];
          this.zhuanTiSheBeiMaService.updateORSave(delSql);
          User user = getCurrentUser();
          zHUANTI zhuanTi = (zHUANTI)this.zHUANTIService.getById(zHUANTI.class, Integer.valueOf(guanLianBiaoShi));
          this.zHUANTIService.addDA_RiZhi(user, this.server, "d_zhuanti", Integer.valueOf(Integer.parseInt(hbs[i])), zhuanTi.getBiaoTi(), "删除实体");
          rm.setSuccess(true);
          info = "删除成功！";
        } 
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
}
